﻿using System;


namespace WeakEventPattern
{
    public class NaiveEventListener
    {
        private void OnEvent(object source, EventArgs args)
        {
            Console.WriteLine("EventListener received event.");
        }

        public NaiveEventListener(EventSource source)
        {
            source.Event += OnEvent;
        }

        ~NaiveEventListener()
        {
            Console.WriteLine("NaiveEventListener finalized.");
        }
    }
}
